Update document visibility for template recipient
This method updates the document visibility for a template recipient.
Note: A document cannot be hidden from a recipient if the recipient has tabs assigned to them on the document. Carbon Copy, Certified Delivery (Needs to Sign), Editor, and Agent recipients can always see all documents.
Authentication
OAuth 2.0 access token (JWT or auth-code grant). Sent as
Authorization: Bearer <token> on every request except
GET /v2.1 and GET /service_information, which are
public discovery endpoints.
Path parameters
The external account number (int) or account ID Guid.
A local reference used to map recipients to other objects, such as specific document tabs.
A recipientId must be
either an integer or a GUID,
and the recipientId must be
unique within an envelope.
For example, many envelopes assign the first recipient
a recipientId of 1.
Request
This endpoint expects an object: templateDocumentVisibilityList
An array of documentVisibility objects that specifies which documents are visible to which recipients.
Response
An array of documentVisibility objects that specifies which documents are visible to which recipients.